ProductPageDumper (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.util.ProductPageDumper class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.util
Class ProductPageDumper

    java.lang.Object
      org.hyperic.hq.product.util.PluginDumper
          org.hyperic.hq.product.util.ProductPageDumper

    public class ProductPageDumper

extends PluginDumper

Field Summary
`static java.lang.String[]` | `EXCLUDE_SERVICES`
`static java.lang.String` | `FILE_SUFFIX`
`static java.lang.String[]` | `REMAP_BY_FIRST_WORD`

Fields inherited from class org.hyperic.hq.product.util.PluginDumper
`cpm, ctpm, ldpm, ltpm, mpm, pPlugins, ppm`

Constructor Summary
`ProductPageDumper(java.lang.String pdkDir, java.lang.String pluginDir)`

Method Summary
`void` | `dumpPages(java.io.File template, java.lang.String outputDir)`
`static void` | `dumpPages(java.io.File template, java.lang.String pdkDir, java.lang.String pluginDir, java.lang.String outputDir)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class org.hyperic.hq.product.util.PluginDumper
`fetchMetrics, fetchMetrics, getMeasurementPlugin, getProperties, getProperty, getProperty, help, init, invoke, shutdown, testControl, testDiscovery, testLiveData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_SUFFIX

    public static final java.lang.String FILE_SUFFIX

See Also:
  Constant Field Values

### REMAP_BY_FIRST_WORD

    public static final java.lang.String[] REMAP_BY_FIRST_WORD

### EXCLUDE_SERVICES

    public static final java.lang.String[] EXCLUDE_SERVICES

Constructor Detail

### ProductPageDumper

    public ProductPageDumper(java.lang.String pdkDir,
                             java.lang.String pluginDir)

Method Detail

### main

    public static void main(java.lang.String[] args)

### dumpPages

    public static void dumpPages(java.io.File template,
                                 java.lang.String pdkDir,
                                 java.lang.String pluginDir,
                                 java.lang.String outputDir)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### dumpPages

    public void dumpPages(java.io.File template,
                          java.lang.String outputDir)
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.